/*
 * JBoss, Home of Professional Open Source.
 * Copyright 2010, Red Hat Middleware LLC, and individual contributors
 * as indicated by the @author tags. See the copyright.txt file in the
 * distribution for a full listing of individual contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.jboss.test.ws.jaxws.jbws3031;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;

/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.jboss.test.ws.jaxws.jbws3031 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory
{

   private final static QName _AddNumbersResponse6_QNAME = new QName("http://example.com/", "addNumbersResponse6");

   private final static QName _AddNumbers5Fault_QNAME = new QName("http://example.com/", "AddNumbers5Fault");

   private final static QName _AddNumbersResponse2_QNAME = new QName("http://example.com/", "addNumbersResponse2");

   private final static QName _AddNumbersResponse3_QNAME = new QName("http://example.com/", "addNumbersResponse3");

   private final static QName _AddNumbersResponse4_QNAME = new QName("http://example.com/", "addNumbersResponse4");

   private final static QName _AddNumbers_QNAME = new QName("http://example.com/", "addNumbers");

   private final static QName _AddNumbersResponse5_QNAME = new QName("http://example.com/", "addNumbersResponse5");

   private final static QName _TooBigNumbers4Fault_QNAME = new QName("http://example.com/", "TooBigNumbers4Fault");

   private final static QName _TooBigNumbersFault_QNAME = new QName("http://example.com/", "TooBigNumbersFault");

   private final static QName _AddNumbersFault_QNAME = new QName("http://example.com/", "AddNumbersFault");

   private final static QName _TooBigNumbers3Fault_QNAME = new QName("http://example.com/", "TooBigNumbers3Fault");

   private final static QName _AddNumbers6_QNAME = new QName("http://example.com/", "addNumbers6");

   private final static QName _AddNumbers3Fault_QNAME = new QName("http://example.com/", "AddNumbers3Fault");

   private final static QName _AddNumbers5_QNAME = new QName("http://example.com/", "addNumbers5");

   private final static QName _AddNumbers4Fault_QNAME = new QName("http://example.com/", "AddNumbers4Fault");

   private final static QName _AddNumbers4_QNAME = new QName("http://example.com/", "addNumbers4");

   private final static QName _AddNumbers3_QNAME = new QName("http://example.com/", "addNumbers3");

   private final static QName _AddNumbers2_QNAME = new QName("http://example.com/", "addNumbers2");

   private final static QName _AddNumbers6Fault_QNAME = new QName("http://example.com/", "AddNumbers6Fault");

   private final static QName _TooBigNumbers2Fault_QNAME = new QName("http://example.com/", "TooBigNumbers2Fault");

   private final static QName _AddNumbers2Fault_QNAME = new QName("http://example.com/", "AddNumbers2Fault");

   private final static QName _AddNumbersResponse_QNAME = new QName("http://example.com/", "addNumbersResponse");

   /**
    * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.jboss.test.ws.jaxws.jbws3031
    * 
    */
   public ObjectFactory()
   {
   }

   /**
    * Create an instance of {@link AddNumbersFault }
    * 
    */
   public AddNumbersFault createAddNumbersFault()
   {
      return new AddNumbersFault();
   }

   /**
    * Create an instance of {@link AddNumbersResponse }
    * 
    */
   public AddNumbersResponse createAddNumbersResponse()
   {
      return new AddNumbersResponse();
   }

   /**
    * Create an instance of {@link TooBigNumbersFault }
    * 
    */
   public TooBigNumbersFault createTooBigNumbersFault()
   {
      return new TooBigNumbersFault();
   }

   /**
    * Create an instance of {@link AddNumbers }
    * 
    */
   public AddNumbers createAddNumbers()
   {
      return new AddNumbers();
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse6")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse6(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse6_QNAME, AddNumbersResponse.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbers5Fault")
   public JAXBElement<AddNumbersFault> createAddNumbers5Fault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbers5Fault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse2")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse2(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse2_QNAME, AddNumbersResponse.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse3")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse3(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse3_QNAME, AddNumbersResponse.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse4")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse4(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse4_QNAME, AddNumbersResponse.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers")
   public JAXBElement<AddNumbers> createAddNumbers(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse5")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse5(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse5_QNAME, AddNumbersResponse.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link TooBigNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "TooBigNumbers4Fault")
   public JAXBElement<TooBigNumbersFault> createTooBigNumbers4Fault(TooBigNumbersFault value)
   {
      return new JAXBElement<TooBigNumbersFault>(_TooBigNumbers4Fault_QNAME, TooBigNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link TooBigNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "TooBigNumbersFault")
   public JAXBElement<TooBigNumbersFault> createTooBigNumbersFault(TooBigNumbersFault value)
   {
      return new JAXBElement<TooBigNumbersFault>(_TooBigNumbersFault_QNAME, TooBigNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbersFault")
   public JAXBElement<AddNumbersFault> createAddNumbersFault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbersFault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link TooBigNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "TooBigNumbers3Fault")
   public JAXBElement<TooBigNumbersFault> createTooBigNumbers3Fault(TooBigNumbersFault value)
   {
      return new JAXBElement<TooBigNumbersFault>(_TooBigNumbers3Fault_QNAME, TooBigNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers6")
   public JAXBElement<AddNumbers> createAddNumbers6(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers6_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbers3Fault")
   public JAXBElement<AddNumbersFault> createAddNumbers3Fault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbers3Fault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers5")
   public JAXBElement<AddNumbers> createAddNumbers5(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers5_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbers4Fault")
   public JAXBElement<AddNumbersFault> createAddNumbers4Fault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbers4Fault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers4")
   public JAXBElement<AddNumbers> createAddNumbers4(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers4_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers3")
   public JAXBElement<AddNumbers> createAddNumbers3(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers3_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbers }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbers2")
   public JAXBElement<AddNumbers> createAddNumbers2(AddNumbers value)
   {
      return new JAXBElement<AddNumbers>(_AddNumbers2_QNAME, AddNumbers.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbers6Fault")
   public JAXBElement<AddNumbersFault> createAddNumbers6Fault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbers6Fault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link TooBigNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "TooBigNumbers2Fault")
   public JAXBElement<TooBigNumbersFault> createTooBigNumbers2Fault(TooBigNumbersFault value)
   {
      return new JAXBElement<TooBigNumbersFault>(_TooBigNumbers2Fault_QNAME, TooBigNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersFault }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "AddNumbers2Fault")
   public JAXBElement<AddNumbersFault> createAddNumbers2Fault(AddNumbersFault value)
   {
      return new JAXBElement<AddNumbersFault>(_AddNumbers2Fault_QNAME, AddNumbersFault.class, null, value);
   }

   /**
    * Create an instance of {@link JAXBElement }{@code <}{@link AddNumbersResponse }{@code >}}
    * 
    */
   @XmlElementDecl(namespace = "http://example.com/", name = "addNumbersResponse")
   public JAXBElement<AddNumbersResponse> createAddNumbersResponse(AddNumbersResponse value)
   {
      return new JAXBElement<AddNumbersResponse>(_AddNumbersResponse_QNAME, AddNumbersResponse.class, null, value);
   }

}
